<?

## Поздравление с днём рождения в записки ##
$ffa=fopen("log/birthsend.dat","a+");
flock($ffa,LOCK_EX);
$andatafa=file("log/birthsend.dat");
if ($andatafa[0]<time())
{
ftruncate($ffa,0);
$andatafa = time() + 86400;
fwrite($ffa,$andatafa);
fflush($ffa);
$printansfa=1;
}
flock($ffa,LOCK_UN);
fclose($ffa);
if($printansfa==1){
$d=date("d-m-");
$y=date("Y");
$select = mysql_query ("Select id,user,birth,sex from users where birth LIKE '%$d%'");
if (mysql_affected_rows()!=0){
$systs = mysql_fetch_array(@mysql_query ("Select user from users where id='1' LIMIT 1;"));
while ($inf = @mysql_fetch_array ($select)){
$userbirth=$inf["user"];
$usidm=$inf["id"];
$pol=$inf["sex"];
$today=date ("H:i");
$data = date("d-M-Y [H:i]");
$rand = rand(0,99999999);
$rand2 = rand(0,99999999);
$time = time();
$tema = "Поздравляем!!!";
$messages = "От имени Администрации и всех юзеров чата примите поздравление. Будьте здоровы и счастливы а остольное зависит только от Вас";
$messages2 = "Вот и настал счастливый день в Вашей жизне. Вы стали ещё взрослее и умнее. Поздравляю Вас с Днём Вашего рождения и желаю всего наилучшего. Счастья и здоровья побольше, а остальное всё мелочи:)";
mysql_query("Insert into zapiski set klu4='".$rand."', who ='".$systs[0]."', idwho ='1', message = '".$messages."', towhom = '".$userbirth."', idtowhom = '".$usidm."', time = '".$time."', readd = '0', topic = '".$tema."', date='".$data."'")&&
mysql_query("Insert into zapiski set klu4='".$rand2."', who ='XPYCT', idwho ='12', message = '".$messages2."', towhom = '".$userbirth."', idtowhom = '".$usidm."', time = '".$time."', readd = '0', topic = '".$tema."', date='".$data."'");
}
}
}

## Поздравление с днём рождения в чате ##
$ff=fopen("log/birthday.dat","a+");
flock($ff,LOCK_EX);
$andataf=file("log/birthday.dat");
if ($andataf[0]<time())
{
ftruncate($ff,0);
$andataf = time() + 3600;
fwrite($ff,$andataf);
fflush($ff);
$printansf=1;
}
flock($ff,LOCK_UN);
fclose($ff);
if($printansf==1){
$d=date("d-m-");
$y=date("Y");
$select = mysql_query ("Select id,user,birth,sex from users where birth LIKE '%$d%'");
if (mysql_affected_rows()!=0){
$syst = mysql_fetch_array(@mysql_query ("Select user from users where id='1' LIMIT 1;"));
while ($inf = @mysql_fetch_array ($select)){
$userbirth=$inf["user"];
$usidm=$inf["id"];
$pol=$inf["sex"];
$today=date ("H:i");
$rnd = rand(0,99999999);
$birth=$inf["birth"];
$d1=substr($birth,0,2);
$m1=substr($birth,4,2);
$y1=substr($birth,6,4);
if ($y>$y1) $age=$y-$y1; else $age="(Не известно)";
if ((!$age)||($age==0)||($age=="")||($age>$y)) $age="(Не известно)"; 
else if (($age==1)||($age==21)||($age==31)||($age==41)||($age==51)) $years = "год";
else if (($age==2)||($age==3)||($age==4)||($age==22)||($age==23)||($age==24)||($age==32)||($age==33)||($age==34)||($age==42)||($age==43)||($age==44)||($age==52)||($age==53)||($age==54))  $years = "года";
else  $years = "лет";
$age="<b>".$age."</b>\n";
if ($pol == "М" ) $pozd = "Ему исполнилось";
else if ($pol == "Ж" )  $pozd = "Ей исполнилось";
else $pozd = "Отмечает";
$mes = "Сегодня отмечает свой день рождения <b>".$userbirth."</b>. ".$pozd." ".$age." ".$years."";
for ($numf = 0; $numf <= 22; $numf++){
$ranecf = "room".$numf;
mysql_query ("Insert into $ranecf set klu4= '".$rnd."', time='".$today."', who='".$syst[0]."', message='".$mes."', id='".$time."', towhom='', hid='0', usid='1', komu=''");
mysql_query("ANALYZE TABLE $ranec");
}
}
}
}
?>